ConnectCloud Developers

Search people who wrote to desk or use the portal by address or name (desk:write)

GET /api/desk/v1/requesters

Module: Desk · operationId: listRequesters · Tag: Portal · Auth: access token (Authorization: Bearer <accessToken>)

Parameters

Name In Type Required Description
q query string
limit query integer (max 200)
offset query integer

Responses

  • 200 Requesters (application/json)

Fields of the 200 answer:

  • items (array of RequesterView)
    • companyRef (Ref): Reference into another system (masterdata, ERP) with a name snapshot.
      • id (string, required): Id in the other system
      • name (string, required): Name at the time of the reference
      • extra (object): Further facts of the referenced record
    • contactRef (Ref): Reference into another system (masterdata, ERP) with a name snapshot.
      • id (string, required): Id in the other system
      • name (string, required): Name at the time of the reference
      • extra (object): Further facts of the referenced record
    • createdAt (string (date-time)): When the requester was first seen
    • email (string): E-mail address
    • emailVerifiedAt (string (date-time)): When the e-mail address was verified
    • id (string): Id of the requester
    • kind (string): external: an outside person; platform: a user of another platform tenant (one of external, platform)
    • name (string): Name
    • originCustomerNo (string): Customer number of the platform tenant (platform requesters)
    • originTenantName (string): Name of the platform tenant (platform requesters)
    • status (string): blocked: the person cannot use desk's portal apps (403 requester_blocked) (one of active, blocked)
    • tickets (integer): Tickets the person is on
    • updatedAt (string (date-time)): When the requester was last changed
  • total (integer)

Example 200 answer:

{
  "items": [
    {
      "companyRef": {
        "id": "3c5e7a9c-1d3f-4b5a-9c7e-1a3c5e7a9c11",
        "name": "Alpenhotel Seeblick GmbH \u0026 Co. KG"
      },
      "contactRef": {
        "id": "6b8d0f2a-4c6e-4a8b-9d1f-3a5c7e9b1d11",
        "name": "Katrin Stadler"
      },
      "createdAt": "2026-09-14T08:00:00Z",
      "email": "katrin.stadler@alpenhotel-seeblick.example",
      "id": "0a7b8c9d-1e2f-4a3b-8c5d-7e8f9a0b1c01",
      "kind": "external",
      "name": "Katrin Stadler",
      "status": "active",
      "tickets": 6,
      "updatedAt": "2026-11-17T07:12:00Z"
    }
  ],
  "total": 1
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/desk/v1/requesters' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI